Dom4jProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy.dom4j
Class Dom4jProxy

    java.lang.Object
      org.hibernate.proxy.dom4j.Dom4jProxy

All Implemented Interfaces:
  Serializable, Cloneable, org.dom4j.Branch, org.dom4j.Element, org.dom4j.Node, HibernateProxy

    public class Dom4jProxy

extends Object
implements HibernateProxy, org.dom4j.Element, Serializable

Proxy for "dom4j" entity representations.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`Dom4jProxy(Dom4jLazyInitializer li)`

Method Summary
`void` | `accept(org.dom4j.Visitor visitor)`
`void` | `add(org.dom4j.Attribute attribute)`
`void` | `add(org.dom4j.CDATA cdata)`
`void` | `add(org.dom4j.Comment comment)`
`void` | `add(org.dom4j.Element element)`
`void` | `add(org.dom4j.Entity entity)`
`void` | `add(org.dom4j.Namespace namespace)`
`void` | `add(org.dom4j.Node node)`
`void` | `add(org.dom4j.ProcessingInstruction processingInstruction)`
`void` | `add(org.dom4j.Text text)`
`org.dom4j.Element` | `addAttribute(org.dom4j.QName attrName, String text)`
`org.dom4j.Element` | `addAttribute(String attrName, String text)`
`org.dom4j.Element` | `addCDATA(String text)`
`org.dom4j.Element` | `addComment(String text)`
`org.dom4j.Element` | `addElement(org.dom4j.QName qName)`
`org.dom4j.Element` | `addElement(String name)`
`org.dom4j.Element` | `addElement(String name, String text)`
`org.dom4j.Element` | `addEntity(String name, String text)`
`List` | `additionalNamespaces()`
`org.dom4j.Element` | `addNamespace(String prefix, String uri)`
`org.dom4j.Element` | `addProcessingInstruction(String target, Map data)`
`org.dom4j.Element` | `addProcessingInstruction(String target, String text)`
`org.dom4j.Element` | `addText(String text)`
`void` | `appendAttributes(org.dom4j.Element element)`
`void` | `appendContent(org.dom4j.Branch branch)`
`String` | `asXML()`
`org.dom4j.Node` | `asXPathResult(org.dom4j.Element element)`
`org.dom4j.Attribute` | `attribute(int i)`
`org.dom4j.Attribute` | `attribute(org.dom4j.QName qName)`
`org.dom4j.Attribute` | `attribute(String name)`
`int` | `attributeCount()`
`Iterator` | `attributeIterator()`
`List` | `attributes()`
`String` | `attributeValue(org.dom4j.QName qName)`
`String` | `attributeValue(org.dom4j.QName qName, String defaultValue)`
`String` | `attributeValue(String name)`
`String` | `attributeValue(String name, String defaultValue)`
`void` | `clearContent()`
`Object` | `clone()`
`List` | `content()`
`org.dom4j.Element` | `createCopy()`
`org.dom4j.Element` | `createCopy(org.dom4j.QName qName)`
`org.dom4j.Element` | `createCopy(String name)`
`org.dom4j.XPath` | `createXPath(String xpath)`
`List` | `declaredNamespaces()`
`org.dom4j.Node` | `detach()`
`org.dom4j.Element` | `element(org.dom4j.QName qName)`
`org.dom4j.Element` | `element(String name)`
`org.dom4j.Element` | `elementByID(String id)`
`Iterator` | `elementIterator()`
`Iterator` | `elementIterator(org.dom4j.QName qName)`
`Iterator` | `elementIterator(String name)`
`List` | `elements()`
`List` | `elements(org.dom4j.QName qName)`
`List` | `elements(String name)`
`String` | `elementText(org.dom4j.QName qName)`
`String` | `elementText(String name)`
`String` | `elementTextTrim(org.dom4j.QName qName)`
`String` | `elementTextTrim(String name)`
`Object` | `getData()`
`org.dom4j.Document` | `getDocument()`
`LazyInitializer` | `getHibernateLazyInitializer()` Get the underlying lazy initialization handler.
`String` | `getName()`
`org.dom4j.Namespace` | `getNamespace()`
`org.dom4j.Namespace` | `getNamespaceForPrefix(String s)`
`org.dom4j.Namespace` | `getNamespaceForURI(String s)`
`String` | `getNamespacePrefix()`
`List` | `getNamespacesForURI(String s)`
`String` | `getNamespaceURI()`
`short` | `getNodeType()`
`String` | `getNodeTypeName()`
`org.dom4j.Element` | `getParent()`
`String` | `getPath()`
`String` | `getPath(org.dom4j.Element element)`
`org.dom4j.QName` | `getQName()`
`org.dom4j.QName` | `getQName(String s)`
`String` | `getQualifiedName()`
`String` | `getStringValue()`
`String` | `getText()`
`String` | `getTextTrim()`
`String` | `getUniquePath()`
`String` | `getUniquePath(org.dom4j.Element element)`
`org.dom4j.Node` | `getXPathResult(int i)`
`boolean` | `hasContent()`
`boolean` | `hasMixedContent()`
`int` | `indexOf(org.dom4j.Node node)`
`boolean` | `isReadOnly()`
`boolean` | `isRootElement()`
`boolean` | `isTextOnly()`
`boolean` | `matches(String xpath)`
`org.dom4j.Node` | `node(int i)`
`int` | `nodeCount()`
`Iterator` | `nodeIterator()`
`void` | `normalize()`
`Number` | `numberValueOf(String xpath)`
`org.dom4j.ProcessingInstruction` | `processingInstruction(String name)`
`List` | `processingInstructions()`
`List` | `processingInstructions(String name)`
`boolean` | `remove(org.dom4j.Attribute attribute)`
`boolean` | `remove(org.dom4j.CDATA cdata)`
`boolean` | `remove(org.dom4j.Comment comment)`
`boolean` | `remove(org.dom4j.Element element)`
`boolean` | `remove(org.dom4j.Entity entity)`
`boolean` | `remove(org.dom4j.Namespace namespace)`
`boolean` | `remove(org.dom4j.Node node)`
`boolean` | `remove(org.dom4j.ProcessingInstruction processingInstruction)`
`boolean` | `remove(org.dom4j.Text text)`
`boolean` | `removeProcessingInstruction(String name)`
`List` | `selectNodes(String xpath)`
`List` | `selectNodes(String xpath, String comparison)`
`List` | `selectNodes(String xpath, String comparison, boolean removeDups)`
`Object` | `selectObject(String xpath)`
`org.dom4j.Node` | `selectSingleNode(String xpath)`
`void` | `setAttributes(List list)`
`void` | `setAttributeValue(org.dom4j.QName qName, String value)` Deprecated.
`void` | `setAttributeValue(String name, String value)` Deprecated.
`void` | `setContent(List list)`
`void` | `setData(Object data)`
`void` | `setDocument(org.dom4j.Document document)`
`void` | `setName(String name)`
`void` | `setParent(org.dom4j.Element element)`
`void` | `setProcessingInstructions(List list)`
`void` | `setQName(org.dom4j.QName qName)`
`void` | `setText(String text)`
`boolean` | `supportsParent()`
`String` | `valueOf(String xpath)`
`void` | `write(Writer writer)`
`Object` | `writeReplace()` Perform serialization-time write-replacement of this proxy.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4jProxy

    public Dom4jProxy(Dom4jLazyInitializer li)

Method Detail

### writeReplace

    public Object writeReplace()

  Description copied from interface: `HibernateProxy`
  Perform serialization-time write-replacement of this proxy.

  Specified by:
    `writeReplace` in interface `HibernateProxy`
  Returns:
    The serializable proxy replacement.

### getHibernateLazyInitializer

    public LazyInitializer getHibernateLazyInitializer()

  Description copied from interface: `HibernateProxy`
  Get the underlying lazy initialization handler.

  Specified by:
    `getHibernateLazyInitializer` in interface `HibernateProxy`
  Returns:
    The lazy initializer.

### getQName

    public org.dom4j.QName getQName()

  Specified by:
    `getQName` in interface `org.dom4j.Element`

### getQName

    public org.dom4j.QName getQName(String s)

  Specified by:
    `getQName` in interface `org.dom4j.Element`

### setQName

    public void setQName(org.dom4j.QName qName)

  Specified by:
    `setQName` in interface `org.dom4j.Element`

### getNamespace

    public org.dom4j.Namespace getNamespace()

  Specified by:
    `getNamespace` in interface `org.dom4j.Element`

### getNamespaceForPrefix

    public org.dom4j.Namespace getNamespaceForPrefix(String s)

  Specified by:
    `getNamespaceForPrefix` in interface `org.dom4j.Element`

### getNamespaceForURI

    public org.dom4j.Namespace getNamespaceForURI(String s)

  Specified by:
    `getNamespaceForURI` in interface `org.dom4j.Element`

### getNamespacesForURI

    public List getNamespacesForURI(String s)

  Specified by:
    `getNamespacesForURI` in interface `org.dom4j.Element`

### getNamespacePrefix

    public String getNamespacePrefix()

  Specified by:
    `getNamespacePrefix` in interface `org.dom4j.Element`

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `org.dom4j.Element`

### getQualifiedName

    public String getQualifiedName()

  Specified by:
    `getQualifiedName` in interface `org.dom4j.Element`

### additionalNamespaces

    public List additionalNamespaces()

  Specified by:
    `additionalNamespaces` in interface `org.dom4j.Element`

### declaredNamespaces

    public List declaredNamespaces()

  Specified by:
    `declaredNamespaces` in interface `org.dom4j.Element`

### addAttribute

    public org.dom4j.Element addAttribute(String attrName,
                                          String text)

  Specified by:
    `addAttribute` in interface `org.dom4j.Element`

### addAttribute

    public org.dom4j.Element addAttribute(org.dom4j.QName attrName,
                                          String text)

  Specified by:
    `addAttribute` in interface `org.dom4j.Element`

### addComment

    public org.dom4j.Element addComment(String text)

  Specified by:
    `addComment` in interface `org.dom4j.Element`

### addCDATA

    public org.dom4j.Element addCDATA(String text)

  Specified by:
    `addCDATA` in interface `org.dom4j.Element`

### addEntity

    public org.dom4j.Element addEntity(String name,
                                       String text)

  Specified by:
    `addEntity` in interface `org.dom4j.Element`

### addNamespace

    public org.dom4j.Element addNamespace(String prefix,
                                          String uri)

  Specified by:
    `addNamespace` in interface `org.dom4j.Element`

### addProcessingInstruction

    public org.dom4j.Element addProcessingInstruction(String target,
                                                      String text)

  Specified by:
    `addProcessingInstruction` in interface `org.dom4j.Element`

### addProcessingInstruction

    public org.dom4j.Element addProcessingInstruction(String target,
                                                      Map data)

  Specified by:
    `addProcessingInstruction` in interface `org.dom4j.Element`

### addText

    public org.dom4j.Element addText(String text)

  Specified by:
    `addText` in interface `org.dom4j.Element`

### add

    public void add(org.dom4j.Attribute attribute)

  Specified by:
    `add` in interface `org.dom4j.Element`

### add

    public void add(org.dom4j.CDATA cdata)

  Specified by:
    `add` in interface `org.dom4j.Element`

### add

    public void add(org.dom4j.Entity entity)

  Specified by:
    `add` in interface `org.dom4j.Element`

### add

    public void add(org.dom4j.Text text)

  Specified by:
    `add` in interface `org.dom4j.Element`

### add

    public void add(org.dom4j.Namespace namespace)

  Specified by:
    `add` in interface `org.dom4j.Element`

### remove

    public boolean remove(org.dom4j.Attribute attribute)

  Specified by:
    `remove` in interface `org.dom4j.Element`

### remove

    public boolean remove(org.dom4j.CDATA cdata)

  Specified by:
    `remove` in interface `org.dom4j.Element`

### remove

    public boolean remove(org.dom4j.Entity entity)

  Specified by:
    `remove` in interface `org.dom4j.Element`

### remove

    public boolean remove(org.dom4j.Namespace namespace)

  Specified by:
    `remove` in interface `org.dom4j.Element`

### remove

    public boolean remove(org.dom4j.Text text)

  Specified by:
    `remove` in interface `org.dom4j.Element`

### supportsParent

    public boolean supportsParent()

  Specified by:
    `supportsParent` in interface `org.dom4j.Node`

### getParent

    public org.dom4j.Element getParent()

  Specified by:
    `getParent` in interface `org.dom4j.Node`

### setParent

    public void setParent(org.dom4j.Element element)

  Specified by:
    `setParent` in interface `org.dom4j.Node`

### getDocument

    public org.dom4j.Document getDocument()

  Specified by:
    `getDocument` in interface `org.dom4j.Node`

### setDocument

    public void setDocument(org.dom4j.Document document)

  Specified by:
    `setDocument` in interface `org.dom4j.Node`

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `org.dom4j.Node`

### hasContent

    public boolean hasContent()

  Specified by:
    `hasContent` in interface `org.dom4j.Node`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.dom4j.Node`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `org.dom4j.Node`

### getText

    public String getText()

  Specified by:
    `getText` in interface `org.dom4j.Element`
  Specified by:
    `getText` in interface `org.dom4j.Node`

### setText

    public void setText(String text)

  Specified by:
    `setText` in interface `org.dom4j.Node`

### getTextTrim

    public String getTextTrim()

  Specified by:
    `getTextTrim` in interface `org.dom4j.Element`

### getStringValue

    public String getStringValue()

  Specified by:
    `getStringValue` in interface `org.dom4j.Element`
  Specified by:
    `getStringValue` in interface `org.dom4j.Node`

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `org.dom4j.Node`

### getPath

    public String getPath(org.dom4j.Element element)

  Specified by:
    `getPath` in interface `org.dom4j.Node`

### getUniquePath

    public String getUniquePath()

  Specified by:
    `getUniquePath` in interface `org.dom4j.Node`

### getUniquePath

    public String getUniquePath(org.dom4j.Element element)

  Specified by:
    `getUniquePath` in interface `org.dom4j.Node`

### asXML

    public String asXML()

  Specified by:
    `asXML` in interface `org.dom4j.Node`

### write

    public void write(Writer writer)
               throws IOException

  Specified by:
    `write` in interface `org.dom4j.Node`
  Throws:
    `IOException`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `org.dom4j.Node`

### getNodeTypeName

    public String getNodeTypeName()

  Specified by:
    `getNodeTypeName` in interface `org.dom4j.Node`

### detach

    public org.dom4j.Node detach()

  Specified by:
    `detach` in interface `org.dom4j.Node`

### selectNodes

    public List selectNodes(String xpath)

  Specified by:
    `selectNodes` in interface `org.dom4j.Node`

### selectObject

    public Object selectObject(String xpath)

  Specified by:
    `selectObject` in interface `org.dom4j.Node`

### selectNodes

    public List selectNodes(String xpath,
                            String comparison)

  Specified by:
    `selectNodes` in interface `org.dom4j.Node`

### selectNodes

    public List selectNodes(String xpath,
                            String comparison,
                            boolean removeDups)

  Specified by:
    `selectNodes` in interface `org.dom4j.Node`

### selectSingleNode

    public org.dom4j.Node selectSingleNode(String xpath)

  Specified by:
    `selectSingleNode` in interface `org.dom4j.Node`

### valueOf

    public String valueOf(String xpath)

  Specified by:
    `valueOf` in interface `org.dom4j.Node`

### numberValueOf

    public Number numberValueOf(String xpath)

  Specified by:
    `numberValueOf` in interface `org.dom4j.Node`

### matches

    public boolean matches(String xpath)

  Specified by:
    `matches` in interface `org.dom4j.Node`

### createXPath

    public org.dom4j.XPath createXPath(String xpath)
                                throws org.dom4j.InvalidXPathException

  Specified by:
    `createXPath` in interface `org.dom4j.Node`
  Throws:
    `org.dom4j.InvalidXPathException`

### asXPathResult

    public org.dom4j.Node asXPathResult(org.dom4j.Element element)

  Specified by:
    `asXPathResult` in interface `org.dom4j.Node`

### accept

    public void accept(org.dom4j.Visitor visitor)

  Specified by:
    `accept` in interface `org.dom4j.Node`

### clone

    public Object clone()

  Specified by:
    `clone` in interface `org.dom4j.Node`
  Overrides:
    `clone` in class `Object`

### getData

    public Object getData()

  Specified by:
    `getData` in interface `org.dom4j.Element`

### setData

    public void setData(Object data)

  Specified by:
    `setData` in interface `org.dom4j.Element`

### attributes

    public List attributes()

  Specified by:
    `attributes` in interface `org.dom4j.Element`

### setAttributes

    public void setAttributes(List list)

  Specified by:
    `setAttributes` in interface `org.dom4j.Element`

### attributeCount

    public int attributeCount()

  Specified by:
    `attributeCount` in interface `org.dom4j.Element`

### attributeIterator

    public Iterator attributeIterator()

  Specified by:
    `attributeIterator` in interface `org.dom4j.Element`

### attribute

    public org.dom4j.Attribute attribute(int i)

  Specified by:
    `attribute` in interface `org.dom4j.Element`

### attribute

    public org.dom4j.Attribute attribute(String name)

  Specified by:
    `attribute` in interface `org.dom4j.Element`

### attribute

    public org.dom4j.Attribute attribute(org.dom4j.QName qName)

  Specified by:
    `attribute` in interface `org.dom4j.Element`

### attributeValue

    public String attributeValue(String name)

  Specified by:
    `attributeValue` in interface `org.dom4j.Element`

### attributeValue

    public String attributeValue(String name,
                                 String defaultValue)

  Specified by:
    `attributeValue` in interface `org.dom4j.Element`

### attributeValue

    public String attributeValue(org.dom4j.QName qName)

  Specified by:
    `attributeValue` in interface `org.dom4j.Element`

### attributeValue

    public String attributeValue(org.dom4j.QName qName,
                                 String defaultValue)

  Specified by:
    `attributeValue` in interface `org.dom4j.Element`

### setAttributeValue

    public void setAttributeValue(String name,
                                  String value)

  Deprecated.

  Specified by:
    `setAttributeValue` in interface `org.dom4j.Element`

### setAttributeValue

    public void setAttributeValue(org.dom4j.QName qName,
                                  String value)

  Deprecated.

  Specified by:
    `setAttributeValue` in interface `org.dom4j.Element`

### element

    public org.dom4j.Element element(String name)

  Specified by:
    `element` in interface `org.dom4j.Element`

### element

    public org.dom4j.Element element(org.dom4j.QName qName)

  Specified by:
    `element` in interface `org.dom4j.Element`

### elements

    public List elements()

  Specified by:
    `elements` in interface `org.dom4j.Element`

### elements

    public List elements(String name)

  Specified by:
    `elements` in interface `org.dom4j.Element`

### elements

    public List elements(org.dom4j.QName qName)

  Specified by:
    `elements` in interface `org.dom4j.Element`

### elementIterator

    public Iterator elementIterator()

  Specified by:
    `elementIterator` in interface `org.dom4j.Element`

### elementIterator

    public Iterator elementIterator(String name)

  Specified by:
    `elementIterator` in interface `org.dom4j.Element`

### elementIterator

    public Iterator elementIterator(org.dom4j.QName qName)

  Specified by:
    `elementIterator` in interface `org.dom4j.Element`

### isRootElement

    public boolean isRootElement()

  Specified by:
    `isRootElement` in interface `org.dom4j.Element`

### hasMixedContent

    public boolean hasMixedContent()

  Specified by:
    `hasMixedContent` in interface `org.dom4j.Element`

### isTextOnly

    public boolean isTextOnly()

  Specified by:
    `isTextOnly` in interface `org.dom4j.Element`

### appendAttributes

    public void appendAttributes(org.dom4j.Element element)

  Specified by:
    `appendAttributes` in interface `org.dom4j.Element`

### createCopy

    public org.dom4j.Element createCopy()

  Specified by:
    `createCopy` in interface `org.dom4j.Element`

### createCopy

    public org.dom4j.Element createCopy(String name)

  Specified by:
    `createCopy` in interface `org.dom4j.Element`

### createCopy

    public org.dom4j.Element createCopy(org.dom4j.QName qName)

  Specified by:
    `createCopy` in interface `org.dom4j.Element`

### elementText

    public String elementText(String name)

  Specified by:
    `elementText` in interface `org.dom4j.Element`

### elementText

    public String elementText(org.dom4j.QName qName)

  Specified by:
    `elementText` in interface `org.dom4j.Element`

### elementTextTrim

    public String elementTextTrim(String name)

  Specified by:
    `elementTextTrim` in interface `org.dom4j.Element`

### elementTextTrim

    public String elementTextTrim(org.dom4j.QName qName)

  Specified by:
    `elementTextTrim` in interface `org.dom4j.Element`

### getXPathResult

    public org.dom4j.Node getXPathResult(int i)

  Specified by:
    `getXPathResult` in interface `org.dom4j.Element`

### node

    public org.dom4j.Node node(int i)

  Specified by:
    `node` in interface `org.dom4j.Branch`

### indexOf

    public int indexOf(org.dom4j.Node node)

  Specified by:
    `indexOf` in interface `org.dom4j.Branch`

### nodeCount

    public int nodeCount()

  Specified by:
    `nodeCount` in interface `org.dom4j.Branch`

### elementByID

    public org.dom4j.Element elementByID(String id)

  Specified by:
    `elementByID` in interface `org.dom4j.Branch`

### content

    public List content()

  Specified by:
    `content` in interface `org.dom4j.Branch`

### nodeIterator

    public Iterator nodeIterator()

  Specified by:
    `nodeIterator` in interface `org.dom4j.Branch`

### setContent

    public void setContent(List list)

  Specified by:
    `setContent` in interface `org.dom4j.Branch`

### appendContent

    public void appendContent(org.dom4j.Branch branch)

  Specified by:
    `appendContent` in interface `org.dom4j.Branch`

### clearContent

    public void clearContent()

  Specified by:
    `clearContent` in interface `org.dom4j.Branch`

### processingInstructions

    public List processingInstructions()

  Specified by:
    `processingInstructions` in interface `org.dom4j.Branch`

### processingInstructions

    public List processingInstructions(String name)

  Specified by:
    `processingInstructions` in interface `org.dom4j.Branch`

### processingInstruction

    public org.dom4j.ProcessingInstruction processingInstruction(String name)

  Specified by:
    `processingInstruction` in interface `org.dom4j.Branch`

### setProcessingInstructions

    public void setProcessingInstructions(List list)

  Specified by:
    `setProcessingInstructions` in interface `org.dom4j.Branch`

### addElement

    public org.dom4j.Element addElement(String name)

  Specified by:
    `addElement` in interface `org.dom4j.Branch`

### addElement

    public org.dom4j.Element addElement(org.dom4j.QName qName)

  Specified by:
    `addElement` in interface `org.dom4j.Branch`

### addElement

    public org.dom4j.Element addElement(String name,
                                        String text)

  Specified by:
    `addElement` in interface `org.dom4j.Branch`

### removeProcessingInstruction

    public boolean removeProcessingInstruction(String name)

  Specified by:
    `removeProcessingInstruction` in interface `org.dom4j.Branch`

### add

    public void add(org.dom4j.Node node)

  Specified by:
    `add` in interface `org.dom4j.Branch`

### add

    public void add(org.dom4j.Comment comment)

  Specified by:
    `add` in interface `org.dom4j.Branch`

### add

    public void add(org.dom4j.Element element)

  Specified by:
    `add` in interface `org.dom4j.Branch`

### add

    public void add(org.dom4j.ProcessingInstruction processingInstruction)

  Specified by:
    `add` in interface `org.dom4j.Branch`

### remove

    public boolean remove(org.dom4j.Node node)

  Specified by:
    `remove` in interface `org.dom4j.Branch`

### remove

    public boolean remove(org.dom4j.Comment comment)

  Specified by:
    `remove` in interface `org.dom4j.Branch`

### remove

    public boolean remove(org.dom4j.Element element)

  Specified by:
    `remove` in interface `org.dom4j.Branch`

### remove

    public boolean remove(org.dom4j.ProcessingInstruction processingInstruction)

  Specified by:
    `remove` in interface `org.dom4j.Branch`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `org.dom4j.Branch`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.